Support » Plugin: Post SMTP Mailer - Email Log - SMTP Connector » wp_mail has been declared by another plugin or theme

  • Resolved kruddock

    (@kruddock)


    Postman: wp_mail has been declared by another plugin or theme, so you won’t be able to use Postman until the conflict is resolved.
    More info that may help – /chroot/home/nexcess-customer-partition/ourwordpresssite.com/html/wp-includes/pluggable.php:171

    Hello, I’ve updated to the latest version of POST smtp v2.0.18 and when I look at the settings I see this message. Isn’t this the default wordpress wp_mail function that is supposed to be overridden by this plugin? Why is POST smtp complaining about it.

Viewing 4 replies - 1 through 4 (of 4 total)
  • One of your plugins is badly including one of WordPress core files.
    Disable each plugin until you find the one that makes the error.

    Thread Starter kruddock

    (@kruddock)

    Hello yehudah,

    Thank you for the quick response. Having looked for a solution prior to posting
    I did just that and disabled the plugins that had wp_mail declared to no avail.

    Why is POST smtp showing a CORE wordpress file – pluggable.php as being the source of the problem? At least, that is how I’m interpreting the error message.

    Are you saying there is still code out there that is overriding function wp_mail()?

    Thanks.

    Hi @kruddock,

    To be totally sure it is not another plugin, you need to disable all other plugins not just ones which might declare wp_mail.

    It might also be worth re-installing WP too, just to be sure all your core files are okay.

    Kind Regards,
    Tim

    Hi @kruddock,

    We haven’t heard from you in a while, so I’ll mark this thread as resolved. If you have any further questions please feel free to open a new thread, and link to this one.

    Kind Regards,
    Tim

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘wp_mail has been declared by another plugin or theme’ is closed to new replies.